Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003125TestLinkUsers and Rightspublic2010-02-02 02:092010-05-01 20:32
Reporteramitkhullar 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9 Beta 2 
Fixed in Version1.9 Beta 3 
Summary0003125: If the User(in a role) is not having rights to view/mgmt of platform no message to tell user
DescriptionSay the leader Role is not having access to the View / Management of Platform Feature then when you click on the Platform Management on the main page nothing happens.

I can derive 2 things from here:
1: The user should be given a message that he has no permissions for the same.
2: If he doesnt have rights in the role to whom he belongs he should not see the Platform Management link on the main dashboard.


Amit
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
child of 0003166closedmhavlat Platform rights are not defined 

-  Notes
(0008910)
fman (administrator)
2010-02-02 02:18

debug that was not removed

on mainPageLeft.tpl -
is enough to look for
{* --- platforms management --- *}
{if $gui->grants.platform_management == "yes" || 1}

and transform in
{if $gui->grants.platform_management == "yes"}

- Issue History
Date Modified Username Field Change
2010-02-02 02:09 amitkhullar New Issue
2010-02-02 02:13 fman Status new => assigned
2010-02-02 02:13 fman Assigned To => fman
2010-02-02 02:18 fman Note Added: 0008910
2010-02-02 02:18 fman Status assigned => resolved
2010-02-02 02:18 fman Fixed in Version => 1.9 Beta 3 (Next Beta)
2010-02-02 02:18 fman Resolution open => fixed
2010-02-02 12:32 amitkhullar Relationship added child of 0003122
2010-02-02 12:32 amitkhullar Relationship deleted child of 0003122
2010-02-15 20:20 mhavlat Relationship added child of 0003166
2010-05-01 20:32 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker